# BEGIN COPYRIGHT
# *************************************************************************
# Licensed Materials - Property of IBM 
# 5724-L01, 5655-N53, 5724-I82, 5655-R15
# (C) Copyright IBM Corporation 2008. All rights reserved. 
# US Government Users Restricted Rights - Use, duplication, or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
# *************************************************************************
# END COPYRIGHT

import sys

maintainPropFile = sys.argv[0]

#----------------------------------------------------------------
# The hubdb is named differently from the rest so it is handled 
# first.
#----------------------------------------------------------------
fileIN = open(maintainPropFile, "r")
line = fileIN.readline()

while line:
	#remove the DS pulled in from 1.1
	line = line.strip()
	
	# Handle the other data sources
	originalDSIDList = AdminJDBC.listDataSources(line)
	if len(originalDSIDList) != 0:
		originalDSId = originalDSIDList[0]
		name11 = AdminConfig.showAttribute(originalDSId, 'name')
		jndiName11 = AdminConfig.showAttribute(originalDSId, 'jndiName')
		name11 = name11 + '11'
		jndiName11 = jndiName11 + '11'
		print "Renaming datasouce to " + name11 + "\n"
		AdminConfig.modify(originalDSId, [['name', name11]])
		AdminConfig.modify(originalDSId, [['jndiName', jndiName11]])
	# change the TEMP names back to the original names.
	TEMPDSIDList = AdminJDBC.listDataSources(line + 'TEMP')
	
	if len(TEMPDSIDList) != 0:
		TEMPDSId = TEMPDSIDList[0]
		nameTEMP = AdminConfig.showAttribute(TEMPDSId, 'name')
		jndiNameTEMP = AdminConfig.showAttribute(TEMPDSId, 'jndiName')
		name = nameTEMP.replace('TEMP', '')
		jndiName = jndiNameTEMP.replace('TEMP', '')
		print "Renaming datasource from " + nameTEMP + " to " + name + "\n"
		AdminConfig.modify(TEMPDSId, [['name', name]])
		AdminConfig.modify(TEMPDSId, [['jndiName', jndiName]])
	line = fileIN.readline()
	
AdminConfig.save()