/* Copyright IBM Corp. 2013  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.ac.operation.AllowedOperationsModelFactory");

//<INTERFACE>
/**
 * Interface for an allowed operations model factory.<BR>
 * Example on how to access the operation model:<BR>
 * <code>
 * var om = com.ibm.mashups.enabler.ac.operation.AllowedOperationsModelFactory.getAllowedOperationsModel(); <BR>
 * var op = om.getOperation(com.ibm.mashups.enabler.ac.operation.Constants.EDIT_PAGE_LAYOUT, null);
 * if (op.isAllowed(opContext))  // do something....
 *
 * @ibm-api
 * @ibm-module CoreModel
 */
dojo.declare("com.ibm.mashups.enabler.ac.operation.AllowedOperationsModelFactory", null, {
    /**
     * Returns an AllowedOperationsModel singelton that can be used for
     * checking the operations that the user is allowed to execute.
     * E.g. these checks can be used by context menus to decide if a specfic 
     * menu item needs to be shown or hidden.
     * @type AllowedOperationsModel
     * @return the AllowedOperationsModel for the current user
     * @ibm-module CoreModel
     */
    getAllowedOperationsModel: function(){
    }
});
//</INTERFACE>

dojo.require("com.ibm.mm.enabler.ac.operation.AllowedOperationsModelFactoryImpl");
